OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.CommandList

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVCommandList :: MonadIO m => m Bool
- gl_NV_command_list :: Bool
- pattern GL_ALPHA_REF_COMMAND_NV :: GLenum
- pattern GL_ATTRIBUTE_ADDRESS_COMMAND_NV :: GLenum
- pattern GL_BLEND_COLOR_COMMAND_NV :: GLenum
- pattern GL_DRAW_ARRAYS_COMMAND_NV :: GLenum
- pattern GL_DRAW_ARRAYS_INSTANCED_COMMAND_NV :: GLenum
- pattern GL_DRAW_ARRAYS_STRIP_COMMAND_NV :: GLenum
- pattern GL_DRAW_ELEMENTS_COMMAND_NV :: GLenum
- pattern GL_DRAW_ELEMENTS_INSTANCED_COMMAND_NV :: GLenum
- pattern GL_DRAW_ELEMENTS_STRIP_COMMAND_NV :: GLenum
- pattern GL_ELEMENT_ADDRESS_COMMAND_NV :: GLenum
- pattern GL_FRONT_FACE_COMMAND_NV :: GLenum
- pattern GL_LINE_WIDTH_COMMAND_NV :: GLenum
- pattern GL_NOP_COMMAND_NV :: GLenum
- pattern GL_POLYGON_OFFSET_COMMAND_NV :: GLenum
- pattern GL_SCISSOR_COMMAND_NV :: GLenum
- pattern GL_STENCIL_REF_COMMAND_NV :: GLenum
- pattern GL_TERMINATE_SEQUENCE_COMMAND_NV :: GLenum
- pattern GL_UNIFORM_ADDRESS_COMMAND_NV :: GLenum
- pattern GL_VIEWPORT_COMMAND_NV :: GLenum
- glCallCommandListNV :: MonadIO m => GLuint -> m ()
- glCommandListSegmentsNV :: MonadIO m => GLuint -> GLuint -> m ()
- glCompileCommandListNV :: MonadIO m => GLuint -> m ()
- glCreateCommandListsNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateStatesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteCommandListsNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDeleteStatesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDrawCommandsAddressNV :: MonadIO m => GLenum -> Ptr GLuint64 -> Ptr GLsizei -> GLuint -> m ()
- glDrawCommandsNV :: MonadIO m => GLenum -> GLuint -> Ptr GLintptr -> Ptr GLsizei -> GLuint -> m ()
- glDrawCommandsStatesAddressNV :: MonadIO m => Ptr GLuint64 -> Ptr GLsizei -> Ptr GLuint -> Ptr GLuint -> GLuint -> m ()
- glDrawCommandsStatesNV :: MonadIO m => GLuint -> Ptr GLintptr -> Ptr GLsizei -> Ptr GLuint -> Ptr GLuint -> GLuint -> m ()
- glGetCommandHeaderNV :: MonadIO m => GLenum -> GLuint -> m GLuint
- glGetStageIndexNV :: MonadIO m => GLenum -> m GLushort
- glIsCommandListNV :: MonadIO m => GLuint -> m GLboolean
- glIsStateNV :: MonadIO m => GLuint -> m GLboolean
- glListDrawCommandsStatesClientNV :: MonadIO m => GLuint -> GLuint -> Ptr (Ptr a) -> Ptr GLsizei -> Ptr GLuint -> Ptr GLuint -> GLuint -> m ()
- glStateCaptureNV :: MonadIO m => GLuint -> GLenum -> m ()

# Extension Support

glGetNVCommandList :: MonadIO m => m Bool Source #

Is the NV_command_list extension supported?

gl_NV_command_list :: Bool Source #

Is the NV_command_list extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVCommandList` in those cases instead.

# Enums

pattern GL_ALPHA_REF_COMMAND_NV :: GLenum Source #

pattern GL_ATTRIBUTE_ADDRESS_COMMAND_NV :: GLenum Source #

pattern GL_BLEND_COLOR_COMMAND_NV :: GLenum Source #

pattern GL_DRAW_ARRAYS_COMMAND_NV :: GLenum Source #

pattern GL_DRAW_ARRAYS_INSTANCED_COMMAND_NV :: GLenum Source #

pattern GL_DRAW_ARRAYS_STRIP_COMMAND_NV :: GLenum Source #

pattern GL_DRAW_ELEMENTS_COMMAND_NV :: GLenum Source #

pattern GL_DRAW_ELEMENTS_INSTANCED_COMMAND_NV :: GLenum Source #

pattern GL_DRAW_ELEMENTS_STRIP_COMMAND_NV :: GLenum Source #

pattern GL_ELEMENT_ADDRESS_COMMAND_NV :: GLenum Source #

pattern GL_FRONT_FACE_COMMAND_NV :: GLenum Source #

pattern GL_LINE_WIDTH_COMMAND_NV :: GLenum Source #

pattern GL_NOP_COMMAND_NV :: GLenum Source #

pattern GL_POLYGON_OFFSET_COMMAND_NV :: GLenum Source #

pattern GL_SCISSOR_COMMAND_NV :: GLenum Source #

pattern GL_STENCIL_REF_COMMAND_NV :: GLenum Source #

pattern GL_TERMINATE_SEQUENCE_COMMAND_NV :: GLenum Source #

pattern GL_UNIFORM_ADDRESS_COMMAND_NV :: GLenum Source #

pattern GL_VIEWPORT_COMMAND_NV :: GLenum Source #

# Functions

glCallCommandListNV Source #

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> m () |

glCommandListSegmentsNV Source #

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> GLuint | `segments`.
-> m () |

glCompileCommandListNV Source #

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> m () |

glCreateCommandListsNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `lists` pointing to `n` elements of type `GLuint`.
-> m () |

glCreateStatesNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `states` pointing to `n` elements of type `GLuint`.
-> m () |

glDeleteCommandListsNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `lists` pointing to `n` elements of type `GLuint`.
-> m () |

glDeleteStatesNV Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `states` pointing to `n` elements of type `GLuint`.
-> m () |

glDrawCommandsAddressNV Source #

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode`.
-> Ptr GLuint64 | `indirects`.
-> Ptr GLsizei | `sizes`.
-> GLuint | `count`.
-> m () |

glDrawCommandsNV Source #

Arguments

:: MonadIO m |
=> GLenum | `primitiveMode`.
-> GLuint | `buffer`.
-> Ptr GLintptr | `indirects`.
-> Ptr GLsizei | `sizes`.
-> GLuint | `count`.
-> m () |

glDrawCommandsStatesAddressNV Source #

Arguments

:: MonadIO m |
=> Ptr GLuint64 | `indirects`.
-> Ptr GLsizei | `sizes`.
-> Ptr GLuint | `states`.
-> Ptr GLuint | `fbos`.
-> GLuint | `count`.
-> m () |

glDrawCommandsStatesNV Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> Ptr GLintptr | `indirects`.
-> Ptr GLsizei | `sizes`.
-> Ptr GLuint | `states`.
-> Ptr GLuint | `fbos`.
-> GLuint | `count`.
-> m () |

glGetCommandHeaderNV Source #

Arguments

:: MonadIO m |
=> GLenum | `tokenID`.
-> GLuint | `size`.
-> m GLuint |

glGetStageIndexNV Source #

Arguments

:: MonadIO m |
=> GLenum | `shadertype` of type ShaderType.
-> m GLushort |

glIsCommandListNV Source #

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> m GLboolean | of type Boolean.

glIsStateNV Source #

Arguments

:: MonadIO m |
=> GLuint | `state`.
-> m GLboolean | of type Boolean.

glListDrawCommandsStatesClientNV Source #

Arguments

:: MonadIO m |
=> GLuint | `list`.
-> GLuint | `segment`.
-> Ptr (Ptr a) | `indirects`.
-> Ptr GLsizei | `sizes`.
-> Ptr GLuint | `states`.
-> Ptr GLuint | `fbos`.
-> GLuint | `count`.
-> m () |

glStateCaptureNV Source #

Arguments

:: MonadIO m |
=> GLuint | `state`.
-> GLenum | `mode`.
-> m () |